*,
::before,
::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

body {
  font-family: Arial, Helvetica, sans-serif;
  margin: 0;
  background-color: #eee;
}

.container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  height: calc(100vh - 6rem);
  margin: 1rem;
  min-height: 28rem;
}

.usercard {
  -webkit-transform: translateY(3rem);
  -ms-transform: translateY(3rem);
  transform: translateY(3rem);
  position: relative;
  width: 28rem;
  margin: auto;
  padding: 2rem;
  border-radius: 2%;
  background-color: white;
  -webkit-box-shadow: 0 0 5px 3px #ddd;
  box-shadow: 0 0 5px 3px #ddd;
  text-align: center;
}

.usercard-image {
  position: absolute;
  top: -6.8rem;
  left: 50%;
  -webkit-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  transform: translateX(-50%);
}

.usercard-info__name {
  margin-bottom: 0.7rem;
  margin-top: 0.7rem;
  color: #3b74ba;
  font-size: 1.8rem;
  letter-spacing: -0.1rem;
}

.usercard-info__profession {
  margin-top: 0.7rem;
  color: #777;
  font-weight: 100;
}

hr {
  height: 0.1rem;
  border-style: none;
  background-color: #ddd;
}

.usercard-info-socialmedia {
  margin: 0;
  margin-top: 1.3rem;
  padding: 0;
}

.usercard-info-socialmedia__item {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  height: 5rem;
  margin-top: 0.3rem;
  padding: 1rem;
  background-color: #f6f6f6;
}

.usercard-info__socialmedia-link {
  text-decoration: none;
  color: inherit;
}

.mark {
  position: absolute;
  right: 3%;
  -webkit-transform: translateY(50%);
  -ms-transform: translateY(50%);
  transform: translateY(50%);
  padding: 0.5rem;
  border-radius: 12%;
  background-color: steelblue;
  color: white;
  font-weight: bold;
}

@media screen and (min-width: 350px) {
  .usercard-info-socialmedia__item {
    height: auto;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
  }
}

/* personal footer */

footer {
  text-align: center;
  padding: 1rem;
  margin-top: 2rem;
  line-height: 1.5;
}

.platform {
  font-weight: 600;
  color: #2eca7f;
}

.coder {
  font-weight: 600;
  color: #cf2937;
}

a {
  text-decoration: none;
}
